	PROGRAM TEST8
	dimension X(512),Y(512),IBUF(30),ARRAY(10)
	DO 10 I=1,512
	X(I)=FLOAT(I)*2
	Y(I)=FLOAT(I)*4
10	CONTINUE
	CALL GRAPHS(IBUF,227,X,Y,512,0.,0)
	call vthtxt(8,22,1,' GRINDX subroutine demonstration ')
	call vthtxt(8,23,1,' use <-- and --> keys to move cursor ')
	call vthtxt(8,24,1,' use 1,2,3,4,5,6,7,8,9,0 to store position.
	1  <CR> to end routine ')
	CALL GRINDX(IBUF,X,512,ARRAY,0)
	call vtclr
	do 30 j=1,10
	type 20,J,ARRAY(J)
20	FORMAT(' J=',I3,'  ARRAY(J)=',E13.6)
30	continue
	CALL EXIT
	END

